org.apache.tinkerpop.gremlin.structure.io.graphml

## Class GraphMLMapper.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.graphml.GraphMLMapper.Builder

- All Implemented Interfaces:
    Mapper.Builder<GraphMLMapper.Builder>
  Enclosing class:
    GraphMLMapper

      public static final class GraphMLMapper.Builder
      extends Object
      implements Mapper.Builder<GraphMLMapper.Builder>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphMLMapper.Builder` | `addRegistry(IoRegistry registry)` Adds a vendor supplied `IoRegistry` to the `Mapper.Builder` which enables it to check for vendor custom serializers to add to the `Mapper`.
    `GraphMLMapper` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.Mapper.Builder

      `addRegistries`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### addRegistry

          public GraphMLMapper.Builder addRegistry(IoRegistry registry)

      Description copied from interface: `Mapper.Builder`
      Adds a vendor supplied `IoRegistry` to the `Mapper.Builder` which enables it to check for vendor custom serializers to add to the `Mapper`. All `Io` implementations should expose this method via this `Mapper.Builder` so that it is compatible with `Graph.io(org.apache.tinkerpop.gremlin.structure.io.Io.Builder<I>)`. Successive calls to this method will add multiple registries. Registry order must be respected when doing so. In other words, data written with `IoRegistry` `A` added first and `B` second must be read by a `Mapper` with that same registry ordering. Attempting to add `B` before `A` will result in errors.
      Specified by:
        `addRegistry` in interface `Mapper.Builder<GraphMLMapper.Builder>`

    - #### create

          public GraphMLMapper create()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.